import { DynamicModule, FactoryProvider, ModuleMetadata, Type } from '@nestjs/common';
import { PrismaClientOptions } from '@prisma/client/runtime';
import { PrismaClientInterface } from './prisma.provider';
export declare type PrismaOptions<T> = {
    /**
     * Prisma client class.
     *
     */
    client?: Type<T>;
} & PrismaClientOptions;
export declare type PrismaModuleAsyncOptions<T extends PrismaClientInterface> = Pick<ModuleMetadata, 'imports'> & Pick<Partial<FactoryProvider<PrismaClientOptions | Promise<PrismaClientOptions>>>, 'useFactory' | 'inject'> & Pick<PrismaOptions<T>, 'client'>;
export declare class PrismaModule {
    static forRoot<T extends PrismaClientInterface>(options?: PrismaOptions<T>): DynamicModule;
    static forRootAsync<T extends PrismaClientInterface>(options?: PrismaModuleAsyncOptions<T>): DynamicModule;
}
